Redmine - Defect #6626

Erro ao acessar uma ISSUE
2010-10-11 15:31 - Sérgio Berlotto Jr

Status: Closed Start date: 2010-10-11
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: No feedback Affected version: 1.0.2

Description
Processing IssuesController#index (for xxx.xxx.xxx.xxx at 2010-10-11 10:31:24) [GET]

Parameters: {"project_id"=>"projeto", "action"=>"index", "controller"=>"issues"}
Rendering template within layouts/base
Rendering issues/index.rhtml

Completed in 275ms (View: 254, DB: 8) | 200 OK [http:/site.com.br/redmine/projects/projeto/issues]

Processing IssuesController#show (for 200.213.60.130 at 2010-10-11 10:31:26) [GET]
Parameters: {"action"=>"show", "id"=>"6", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

ActionView::TemplateError (nil is not a valid locale) on line #12 of app/views/issues/show.rhtml:
9:

10:

11:

12:.
13:
14: .
15:

/opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/i18n-0.3.1/lib/i18n/backend/base.rb:29:in “translate’
/opt/ruby-enterprise-1.8.7-2010.01/lib/ruby/gems/1.8/gems/i18n-0.3.1/lib/i18n.rb:208:in °t'
app/helpers/application_helper.rb:322:in "time_tag'

app/helpers/application_helper.rb:318:in “authoring'

app/views/issues/show.rhtml:12:in *_run_rhtml_app47views47issues47show46rhtml’
app/controllers/issues_controller.rb:110

app/controllers/issues_controller.rb:109:in “show'

passenger (2.2.9) lib/phusion_passenger/rack/request_handler.rb:92:in “process_request'

passenger (2.2.9) lib/phusion_passenger/abstract_request_handler.rb:207:in “main_loop'
passenger (2.2.9) lib/phusion_passenger/railz/application_spawner.rb:400:in “start_request_handler'
passenger (2.2.9) lib/phusion_passenger/railz/application_spawner.rb:351:in “handle_spawn_application’
passenger (2.2.9) lib/phusion_passenger/utils.rb:184:in “safe_fork'

passenger (2.2.9) lib/phusion_passenger/railz/application_spawner.rb:349:in “handle_spawn_application’
passenger (2.2.9) lib/phusion_passenger/abstract_server.rb:352:in "__send__'

passenger (2.2.9) lib/phusion_passenger/abstract_server.rb:352:in “main_loop'

passenger (2.2.9) lib/phusion_passenger/abstract_server.rb:196:in “start_synchronously’
passenger (2.2.9) lib/phusion_passenger/abstract_server.rb:163:in “start'

passenger (2.2.9) lib/phusion_passenger/railz/application_spawner.rb:209:in “start'
passenger (2.2.9) lib/phusion_passenger/spawn_manager.rb:262:in “spawn_rails_application’
passenger (2.2.9) lib/phusion_passenger/abstract_server_collection.rb:126:in "lookup_or_add'
passenger (2.2.9) lib/phusion_passenger/spawn_manager.rb:256:in “spawn_rails_application’
passenger (2.2.9) lib/phusion_passenger/abstract_server_collection.rb:80:in “synchronize'
passenger (2.2.9) lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize'
passenger (2.2.9) lib/phusion_passenger/spawn_manager.rb:255:in “spawn_rails_application’
passenger (2.2.9) lib/phusion_passenger/spawn_manager.rb:154:in “spawn_application’
passenger (2.2.9) lib/phusion_passenger/spawn_manager.rb:287:in "handle_spawn_application’
passenger (2.2.9) lib/phusion_passenger/abstract_server.rb:352:in "__send__'
passenger (2.2.9) lib/phusion_passenger/abstract_server.rb:352:in "main_loop'
passenger (2.2.9) lib/phusion_passenger/abstract_server.rb:196:in “start_synchronously’
http://site.com.br/redmine/projects/projeto/issues
https://www.redmine.org/issues/12

Rendering /home/berlotto/apps_rails/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2010-10-11 18:37 - Holger Just
- Priority changed from High to Normal

Make sure you have set [18n.default_locale = 'en’ in the first line config/initiualizers/30-redmine.rb. This sets the default locale if it can not be
discovered by other means (user preference or browser information).

A default Redmine always falls back to the English (US) locale. A locale of nil should never happen anywhere.

#2 - 2013-01-15 11:45 - Daniel Felix
- Status changed from New to Closed

- Resolution set to No feedback

I'm closing this one, due to the age of this issue and the missing feedback on this.
